Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 581598 - sys-apps/portage-9999: repoman crashes if ebuild has no version in filename
Summary: sys-apps/portage-9999: repoman crashes if ebuild has no version in filename
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: portage-2.3.0
  Show dependency tree
 
Reported: 2016-04-30 00:12 UTC by Coacher
Modified: 2017-01-23 20:12 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Coacher 2016-04-30 00:12:03 UTC
Hello.

portage-9999 from master @ 75fbbcf.

$ pwd
/home/coacher/Work/overlay/app-misc/bar
$ cat bar.ebuild
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$

EAPI=6

DESCRIPTION="Bar"
HOMEPAGE="http://example.com"
SRC_URI=""

LICENSE="HPND"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""

DEPEND=""
RDEPEND="${DEPEND}"
$ repoman -x full
RepoMan scours the neighborhood...
Traceback (most recent call last):
  File "/usr/lib/python-exec/python3.4/repoman", line 37, in <module>
    repoman_main(sys.argv[1:])
  File "/usr/lib64/python3.4/site-packages/repoman/main.py", line 117, in repoman_main
    scanner.scan_pkgs(can_force)
  File "/usr/lib64/python3.4/site-packages/repoman/scanner.py", line 332, in scan_pkgs
    _continue = func(**self.set_func_kwargs(mod[0], dynamic_data))
  File "/usr/lib64/python3.4/site-packages/repoman/modules/scan/ebuild/ebuild.py", line 192, in check_isebuild
    myaux = dict(zip(allvars, self.portdb.aux_get(cpv, allvars)))
  File "/usr/lib64/python3.4/site-packages/portage/dbapi/porttree.py", line 513, in aux_get
    myebuild, mylocation = self.findname2(mycpv, mytree)
  File "/usr/lib64/python3.4/site-packages/portage/dbapi/porttree.py", line 386, in findname2
    raise InvalidPackageName(mycpv)
portage.exception.InvalidPackageName: app-misc/bar

If I rename bar.ebuild to bar-0.1.ebuild, repoman doesn't crash.

Please fix.
Comment 1 Brian Dolbec gentoo-dev 2016-04-30 04:14:36 UTC
This error/traceback is the same in current portage-2.2.28.

Looks like we'll need to "try: except:" it, there already is an "ebuild.invalidname" error in qa_data...  I'll have to see whay it's not trapping that error already.
Comment 2 Brian Dolbec gentoo-dev 2016-04-30 09:15:06 UTC
Fixed in git: 

https://gitweb.gentoo.org/proj/portage.git/commit/?id=94472883f86338c8c877bfc3af57d4d6815915ed

Thank you for the great debug testing :)
Comment 3 Coacher 2016-04-30 10:37:31 UTC
I can confirm that this is no longer reproducible with portage from master @ 9447288. Thank you.